org.apache.fop.render.rtf.rtflib.rtfdoc

## Class RtfPageNumberCitation

- java.lang.Object
- - org.apache.fop.render.rtf.rtflib.rtfdoc.RtfElement
  - - org.apache.fop.render.rtf.rtflib.rtfdoc.RtfContainer
    - - org.apache.fop.render.rtf.rtflib.rtfdoc.RtfPageNumberCitation

-     public class RtfPageNumberCitation
      extends RtfContainer

  Page number citation container.

  This work was authored by Christopher Scott (scottc@westinghouse.com) and Boris Pouderous (boris.pouderous@free.fr).

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `RTF_FIELD` constant for field
    `static String` | `RTF_FIELD_PAGEREF_MODEL` constant for field pageref model
    `static String` | `RTF_FIELD_RESULT` constant for field result

    - ### Fields inherited from class org.apache.fop.render.rtf.rtflib.rtfdoc.RtfElement

      `attrib, parent, writer`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isEmpty()`
    `protected void` | `writeRtfContent()` Write the content

    - ### Methods inherited from class org.apache.fop.render.rtf.rtflib.rtfdoc.RtfContainer

      `addChild, findChildren, getChildCount, getChildren, okToWriteRtf, setChildren, setOptions, toString`

    - ### Methods inherited from class org.apache.fop.render.rtf.rtflib.rtfdoc.RtfElement

      `close, getParentOfClass, getRtfAttributes, newLine, writeAttributes, writeControlWord, writeControlWordNS, writeExceptionInRtf, writeGroupMark, writeOneAttribute, writeOneAttributeNS, writeRtf, writeRtfPrefix, writeRtfSuffix, writeStarControlWord, writeStarControlWordNS`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### RTF_FIELD

          public static final String RTF_FIELD

      constant for field
      See Also:
        Constant Field Values

    - #### RTF_FIELD_PAGEREF_MODEL

          public static final String RTF_FIELD_PAGEREF_MODEL

      constant for field pageref model
      See Also:
        Constant Field Values

    - #### RTF_FIELD_RESULT

          public static final String RTF_FIELD_RESULT

      constant for field result
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### writeRtfContent

          protected void writeRtfContent()
                                  throws IOException

      Write the content
      Overrides:
        `writeRtfContent` in class `RtfContainer`
      Throws:
        `IOException` - for I/O problems

    - #### isEmpty

          public boolean isEmpty()

      Overrides:
        `isEmpty` in class `RtfContainer`
      Returns:
        true if this element would generate no "useful" RTF content

Copyright © 2023 Apache Software Foundation. All rights reserved.